{
    "name": "potofcoffee/pfarrplaner",
    "type": "project",
    "description": "Service and vacation planning for a district of Lutheran churches",
    "license": "GPL-3.0-or-later",
    "version": "2023.25.0",
    "repositories": [
        {
            "type": "vcs",
            "url": "https://github.com/potofcoffee/laravel-database-encryption.git"
        },
        {
            "type": "vcs",
            "url": "https://github.com/potofcoffee/PHPPresentation"
        }
    ],
    "require": {
        "php": "^8.0",
        "almasaeed2010/adminlte": "~3.0",
        "barryvdh/laravel-ide-helper": "^2.6",
        "doctrine/dbal": "^3.0",
        "google/apiclient": "^2.0",
        "inertiajs/inertia-laravel": "^0.6.4",
        "laravel-lang/lang": "~9.0",
        "laravel/framework": "^10.0",
        "laravel/sanctum": "^3.2",
        "laravel/tinker": "^2.6.1",
        "laravel/ui": "^4.0",
        "league/flysystem-aws-s3-v3": "~3.10",
        "league/flysystem-sftp-v3": "~3.10",
        "mpdf/qrcode": "^1.0",
        "nesbot/carbon": "^2.64",
        "niklasravnsborg/laravel-pdf": "^4.1.0",
        "php-ews/php-ews": "^1.0",
        "phpoffice/phppresentation": "dev-fix-video",
        "phpoffice/phpspreadsheet": "^1.8",
        "phpoffice/phpword": "^1.2.0",
        "predis/predis": "^1.1",
        "psr/log": "^2",
        "revolution/laravel-amazon-product-api": "^4.5",
        "sabre/dav": "^4.4",
        "simplesoftwareio/simple-qrcode": "^4.1",
        "simshaun/recurr": "^5.0",
        "spatie/laravel-backup": "^8.1.5",
        "spatie/laravel-ignition": "^2.0",
        "spatie/laravel-permission": "^5.7",
        "staudenmeir/belongs-to-through": "^2.3",
        "symfony/debug": "^4.4",
        "thybag/php-sharepoint-lists-api": "dev-master",
        "tightenco/ziggy": "^1.0",
        "venturecraft/revisionable": "1.*"
    },
    "require-dev": {
        "barryvdh/laravel-debugbar": "^3.7",
        "beyondcode/laravel-dump-server": "^1.0",
        "filp/whoops": "^2.0",
        "fzaninotto/faker": "^1.9.2",
        "laravel/dusk": "^7.12",
        "laravel/legacy-factories": "^1.1",
        "mockery/mockery": "^1.0",
        "nunomaduro/collision": "^6.1",
        "phpunit/phpunit": "^9.0"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeds/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ],
        "post-update-cmd": [
            "Illuminate\\Foundation\\ComposerScripts::postUpdate",
            "php artisan ide-helper:generate",
            "php artisan ide-helper:meta"
        ]
    }
}
